import { Functional } from '../../../../Class/Functional';
import { System } from '../../../../system';
export interface I<T> {
    a: number;
}
export interface O<T> {
    random: number;
}
export default class Random<T> extends Functional<I<T>, O<T>> {
    constructor(system: System);
    f({ a }: I<T>, done: any): void;
}
